## openssl 0.9.7e-4.osso2+3sarge3.osso4

=== debian/changelog ===
openssl (0.9.7e-4.osso2+3sarge3.osso4) unstable; urgency=low

  * Ahh, the same fix for 686 (last fixes 486 and 586)

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 18:08:57 +0200

openssl (0.9.7e-4.osso2+3sarge3.osso3) unstable; urgency=low

  * Added 05noexestack-i386.dpatch, fixes lintian error

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 16:39:25 +0200

openssl (0.9.7e-4.osso2+3sarge3.osso2) unstable; urgency=low

  * Fixed build 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 15 Nov 2006 16:59:03 +0200

openssl (0.9.7e-4.osso2+3sarge3.osso1) unstable; urgency=low

  * updated upstream. Fixes: NB#42066, NB#41775

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  3 Oct 2006 12:06:13 +0300

openssl (0.9.7e-3sarge3) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Apply patch to fix infinite loop / memory allocation denial of
    service due to mis-handling of error conditions on invalid ASN1
    data.  CVE-2006-2937
  * Apply patch to fix a buffer overflow in the SSL_get_shared_ciphers
    function.  CVE-2006-3738
  * Apply patch to fix a denial of service in the SSLv2 client code
    whereby a malicious server could cause a client to crash.
    CVE-2006-4343
  * Apply patch to correct a potential denial of service attack when
    parsing ASN1 data from untrusted sources.  Certain types of public
    key can take a disproportionate amount of time to process, allowing
    an attacker to exhaust system resources.  CVE-2006-2940

 -- Noah Meyerhans <noahm@debian.org>  Tue, 26 Sep 2006 17:36:05 -0400

openssl (0.9.7e-3sarge2) stable-security; urgency=low

  * Non-maintainer upload by the Security Team
  * Apply upstream patch to fix RSA Signature Forgery bug (CVE-2006-4339)

 -- Noah Meyerhans <noahm@debian.org>  Wed,  6 Sep 2006 12:19:57 -0400

openssl (0.9.7e-4.osso2+3sarge1.osso7) unstable; urgency=low

  * Fix DSA 1173-1. Fixes: NB#40098

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 11 Sep 2006 13:52:16 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso6) unstable; urgency=low

  * Enable thumb build. Fixes: NB#36707

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 11 Aug 2006 16:13:23 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso5) unstable; urgency=low

  * move dh_strip after dh_fixperms

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 14 Jun 2006 17:50:36 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso4) unstable; urgency=low

  * armel support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 20:26:40 +0300

openssl (0.9.7e-4.osso2+3sarge1.osso3) unstable; urgency=low

  * Removed documentation

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 May 2006 15:45:20 +0300

openssl (0.9.7e-4.osso1+3sarge1.osso3) unstable; urgency=low

  * Make version upper than 0.9.7e-4.osso1 which in repository
  * Added load-cert patch

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  9 May 2006 13:35:09 +0300

openssl (0.9.7e-4.3sarge1.osso2) unstable; urgency=low

  * Added po-debconf build dependence

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 20 Mar 2006 10:51:02 +0200

openssl (0.9.7e-4.3sarge1.osso1) unstable; urgency=low

  * Apllied osso patches
  * Fixed version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Mar 2006 17:46:45 +0200

openssl (0.9.7e-4.osso1) unstable; urgency=low

  * Applied perlpath fix
  * --no-err to Configure for less memory usage

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 13 Apr 2005 14:18:39 +0300

openssl (0.9.7e-3sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patch to remove SSLv2 fallback in order to fix a
    possibility to use a weaker protocol version [ssl/s23_srvr.c,
    CVE-2005-2969]

 -- Martin Schulze <joey@infodrom.org>  Thu, 20 Oct 2005 07:31:45 +0200

openssl (0.9.7e-3) unstable; urgency=high

  * really fix der_chop. The fix from -1 was not really included (closes:
    #281212) 
  * still fixes security problem CAN-2004-0975 etc.
    - tempfile raise condition in der_chop
    - Avoid a race condition when CRLs are checked in a multi threaded 
      environment.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Thu, 16 Dec 2004 18:41:29 +0100

openssl (0.9.7e-2) unstable; urgency=high

  * fix perl path in der_chop and c_rehash (closes: #281212)
  * still fixes security problem CAN-2004-0975 etc.
    - tempfile raise condition in der_chop
    - Avoid a race condition when CRLs are checked in a multi threaded 
      environment.

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Sun, 14 Nov 2004 20:16:21 +0100

openssl (0.9.7e-1) unstable; urgency=high

  * SECURITY UPDATE: fix insecure temporary file handling
  * apps/der_chop: 
    - replaced $$-style creation of temporary files with
      File::Temp::tempfile()
    - removed unused temporary file name in do_certificate()
  * References:
    CAN-2004-0975 (closes: #278260)
  * fix ASN1_STRING_to_UTF8 with UTF8 (closes: #260357)
  * New upstream release with security fixes
    - Avoid a race condition when CRLs are checked in a multi threaded 
      environment.
    - Various fixes to s3_pkt.c so alerts are sent properly.
    - Reduce the chances of duplicate issuer name and serial numbers (in
      violation of RFC3280) using the OpenSSL certificate creation
      utilities. 
  * depends openssl on perl-base instead of perl (closes: #280225)
  * support powerpc64 in Configure (closes: #275224)
  * include cs translation (closes: #273517)
  * include nl translation (closes: #272479)
  * Fix default dir of c_rehash (closes: #253126)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Fri, 12 Nov 2004 14:11:15 +0100

openssl (0.9.7d-5) unstable; urgency=low

  * Make S/MIME encrypt work again (backport from CVS) (closes: #241407,
    #241386)

 -- Christoph Martin <christoph.martin@uni-mainz.de>  Mon, 26 Jul 2004 17:22:42 +0200

openssl (0.9.7d-4) unstable; urgency=low



=== debian/control ===
Source: openssl
Build-Depends: debhelper (>= 4.2.0), po-debconf, dpatch
Section: utils
Priority: optional
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Standards-Version: 3.6.1

Package: openssl
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}
Conflicts: ssleay (<< 0.9.2b)
Suggests: ca-certificates
Description: Secure Socket Layer (SSL) binary and related cryptographic tools
 This package contains the openssl binary and related tools.
 .
 It is part of the OpenSSL implementation of SSL.
 .
 You need it to perform certain cryptographic actions like:
  o  Creation of RSA, DH and DSA Key Parameters
  o  Creation of X.509 Certificates, CSRs and CRLs
  o  Calculation of Message Digests
  o  Encryption and Decryption with Ciphers
  o  SSL/TLS Client and Server Tests
  o  Handling of S/MIME signed or encrypted Mail

Package: libssl0.9.7
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: ssleay (<< 0.9.2b), libssl, openssl (<< 0.9.6-2), libssl096-dev (<< 0.9.6-2)
Description: SSL shared libraries
 libssl and libcrypto shared libraries needed by programs like
 apache-ssl, telnet-ssl and openssh.
 .
 It is part of the OpenSSL implementation of SSL.

Package: libcrypto0.9.7-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libssl0.9.7
Description: crypto shared library - udeb
 libcrypto shared library.
 .
 Do not install it on a normal system.

Package: libssl-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: libssl0.9.7 (= ${Source-Version})
Conflicts: ssleay (<< 0.9.2b), libssl08-dev, libssl09-dev, libssl095a-dev, libssl096-dev
Description: SSL development libraries, header files and documentation
 libssl and libcrypt development libraries, header files and manpages
 .
 It is part of the OpenSSL implementation of SSL.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
SHELL=/bin/bash
export DH_COMPAT=3

include /usr/share/dpatch/dpatch.make

package=openssl

# For generating the manpages
export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb
	export CFLAGS
endif

# The binary architeture
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)

CONFARGS  = --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 no-err
OPT_alpha = ev4 ev5
OPT_i386  = i486 i586 i686/cmov
OPT_sparc = v8 v9
ARCHOPTS  = OPT_$(DEB_HOST_ARCH)
OPTS      = $($(ARCHOPTS))
WANTED_LIBC_VERSION = 2.3.1-10

build: patch-stamp
	dh_testdir
	perl util/perlpath.pl /usr/bin
#	perl util/ssldir.pl /usr/lib/ssl
#	chmod +x debian/libtool
	./Configure no-shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	make -C crypto links
	make -f Makefile DIRS="crypto ssl" all
	mv libcrypto.a libcrypto.static
	mv libssl.a libssl.static
	make -f Makefile DIRS="crypto ssl" clean
	test -z "$(OPTS)" || for opt in $(OPTS); \
	do \
		set -xe; \
		./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)-$$opt; \
		make -f Makefile DIRS="crypto ssl" all; \
		mkdir -p $$opt; \
		mv libcrypto.so* libssl.so* $$opt/; \
		make -f Makefile DIRS="crypto ssl" clean; \
	done
	./Configure shared $(CONFARGS) debian-$(DEB_HOST_ARCH)
	#make -f Makefile depend
	ln -sf apps/openssl.pod crypto/crypto.pod ssl/ssl.pod doc/
#	make -f Makefile linux-shared
	make -f Makefile all
#	strip apps/openssl
#	make -f Makefile clean DIRS="crypto ssl"
#	./Configure --prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 debian-$(DEB_HOST_ARCH)
#	make -f Makefile all DIRS="crypto ssl"
	touch build

clean: unpatch
	dh_testdir
	dh_testroot
	-rm -f build
	perl util/perlpath.pl /usr/bin
	./Configure $(CONFARGS) debian-$(DEB_HOST_ARCH)
	-make -f Makefile  clean clean-shared
	#-make -f Makefile  dclean
	perl util/perlpath.pl /usr/bin
#	perl util/ssldir.pl /usr/local/ssl
	-rm -f test/.rnd test/testkey.pem test/testreq.pem test/certCA.srl
	-rm -f util/mk1mf.bak Makefile.bak `find . -name Makefile.save` 
	-rm -f crypto/pem/ctx_size
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.orig" -o -name "*.rej"`
	-rm -f certs/*.0 certs/*.1
#	-rm -rf debian/tmp debian/files* core `find debian/* -type d`
	-rm -rf core $(OPTS)
	-rm -f doc/*.pod
	-rm -f libcrypto.* libssl.*
	dh_clean

binary-indep:	build
	dh_testdir
	dh_testroot
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir
	dh_testroot
	dh_clean
#	-rm -rf debian/tmp `find debian/* -type d`
	install -d debian/tmp debian/libssl0.9.7 debian/libssl-dev debian/ssleay/usr/share/doc
#	cd debian/tmp && install -d `cat ../dirs`
#	cd debian/libssl09 && install -d `cat ../libssl09.dirs`
#	cd debian/libssl09-dev && install -d `cat ../libssl09-dev.dirs`
	dh_installdirs
#openssl install
	make -f Makefile  install INSTALL_PREFIX=`pwd`/debian/tmp
	rm debian/tmp/usr/share/man/man1/openssl.1
	rm debian/tmp/usr/share/man/man3/crypto.3
	rm debian/tmp/usr/share/man/man3/ssl.3
#	rm debian/tmp/usr/lib/libcrypto.a
#	rm debian/tmp/usr/lib/libssl.a
	mv debian/tmp/usr/lib/libcrypto.a debian/tmp/usr/lib/libcrypto_pic.a
	mv debian/tmp/usr/lib/libssl.a debian/tmp/usr/lib/libssl_pic.a
	cp -pf libcrypto.static debian/tmp/usr/lib/libcrypto.a
	cp -pf libssl.static debian/tmp/usr/lib/libssl.a
#	mv debian/tmp/usr/lib/ssl/bin debian/tmp/usr/bin/ssl
#	(cd debian/tmp/usr/lib/ssl; ln -s /usr/bin/ssl bin)
#	mv debian/tmp/usr/lib/ssl/include debian/tmp/usr/include/ssl
#	(cd debian/tmp/usr/lib/ssl; ln -s /usr/include/ssl include)
#	chmod -x debian/tmp/usr/lib/*.so.*
#	mv debian/tmp/usr/lib/*.a debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/lib/*.so debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/lib/*.so.*.*.* debian/libssl09/usr/lib/
#	mv debian/tmp/usr/lib/*.la debian/libssl09-dev/usr/lib/
#	mv debian/tmp/usr/include debian/libssl09-dev/usr/
	mkdir -p debian/tmp/etc/ssl
	mv debian/tmp/usr/lib/ssl/{certs,openssl.cnf,private} debian/tmp/etc/ssl/
	ln -s /etc/ssl/{certs,openssl.cnf,private} debian/tmp/usr/lib/ssl/
	cp -pf debian/tmp/usr/lib/libcrypto.so.* debian/libcrypto0.9.7-udeb/usr/lib/
#ssleay install
	#ln -s openssl debian/ssleay/usr/share/doc/ssleay
#libssl install
#	install -m 644 libcrypto.so.08.1 libssl.so.08.1 debian/libssl08/usr/lib/
#	ln -s libssl.so.08 debian/libssl08-dev/usr/lib/libssl.so
#	ln -s libcrypto.so.08 debian/libssl08-dev/usr/lib/libcrypto.so
#	debian/libtool install -m 644 crypto/libcrypto.la
#	debian/libtool install -m 644 ssl/libssl.la
	cp -auv lib*.so* debian/tmp/usr/lib/
#	cp -auv lib*.a debian/tmp/usr/lib/
	for opt in $(OPTS); do set -xe; mkdir -p debian/tmp/usr/lib/$$opt; cp -auv $$opt/lib*.so* debian/tmp/usr/lib/$$opt/; done
	install debian/copyright debian/libssl0.9.7/usr/share/doc/libssl0.9.7/
#	install debian/changelog debian/libssl0.9.7/usr/share/doc/libssl0.9.7/changelog.Debian
	install debian/copyright debian/libssl-dev/usr/share/doc/libssl-dev/
	install debian/changelog debian/libssl-dev/usr/share/doc/libssl-dev/changelog.Debian
#	(cd debian/tmp/usr/doc/openssl/doc; for f in *.doc*; do mv "$$f" "$$(echo $$f | sed -e 's/doc/txt/')";done)
#	(cd doc; for f in *; do install "$$f" ../debian/tmp/usr/share/doc/openssl/doc/"$$(echo $$f | sed -e 's/doc/txt/')";done)
#	debstd -u CHANGES* LICENSE README NEWS
	dh_installdocs -plibssl-dev CHANGES.SSLeay LICENSE README NEWS debian/README.optimization
#	dh_installexamples
	dh_installchangelogs -plibssl-dev CHANGES
#	dh_installmenu
#	dh_installcron
	dh_installmanpages -popenssl
	dh_installdebconf
#	dh_undocumented c_rehash.1
	dh_movefiles
#	rmdir debian/tmp/usr/lib/ssl/lib
#	rmdir debian/tmp/usr/include/openssl
#	rmdir debian/tmp/usr/include
#	for opt in $(OPTS); do set -xe; rm -fr debian/tmp/usr/lib/$$opt; done
	dh_compress
	chmod 700 debian/openssl/etc/ssl/private
	dh_fixperms -X etc/ssl/private
	dh_strip
	dh_perl -d
#	dh_suidregister
	dh_shlibdeps -l`pwd` -Xlibssl.so
	# Hack, to depend on version of libc6 which supports the i686 directory
	if [ "${DEB_HOST_ARCH}" == "i386" ]; \
	then \
	  SHLIB=`cat debian/libssl0.9.7.substvars`; \
	  LIBC_VERSION=`echo $$SHLIB | sed s'/.*libc6 (>= \(.*\))/\1/'`; \
	  if dpkg --compare-versions ${WANTED_LIBC_VERSION} gt $$LIBC_VERSION; \
	  then \
	    echo $$SHLIB | sed s'/libc6 (>= \(.*\))/libc6 (>= ${WANTED_LIBC_VERSION})/' > debian/libssl0.9.7.substvars; \
	  fi \
	fi
	dh_gencontrol
	dh_makeshlibs -m 0.9.7
	dh_installdeb
	dh_md5sums
	dh_builddeb
	echo -en "\a"

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean

## openssl 0.9.7e-4.osso2+3sarge3.osso5

=== Makefile ===
### Generated automatically from Makefile.org by Configure.

##
## Makefile for OpenSSL
##

VERSION=0.9.7e
MAJOR=0
MINOR=9.7
SHLIB_VERSION_NUMBER=0.9.7
SHLIB_VERSION_HISTORY=
SHLIB_MAJOR=0
SHLIB_MINOR=9.7
SHLIB_EXT=.so.$(SHLIB_MAJOR).$(SHLIB_MINOR)
PLATFORM=debian-i386
OPTIONS=--prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 no-err no-krb5
CONFIGURE_ARGS=--prefix=/usr --openssldir=/usr/lib/ssl no-idea no-mdc2 no-rc5 no-err debian-i386
SHLIB_TARGET=linux-shared

# HERE indicates where this Makefile lives.  This can be used to indicate
# where sub-Makefiles are expected to be.  Currently has very limited usage,
# and should probably not be bothered with at all.
HERE=.

# INSTALL_PREFIX is for package builders so that they can configure
# for, say, /usr/ and yet have everything installed to /tmp/somedir/usr/.
# Normally it is left empty.
INSTALL_PREFIX=
INSTALLTOP=/usr

# Do not edit this manually. Use Configure --openssldir=DIR do change this!
OPENSSLDIR=/usr/lib/ssl

# NO_IDEA - Define to build without the IDEA algorithm
# NO_RC4  - Define to build without the RC4 algorithm
# NO_RC2  - Define to build without the RC2 algorithm
# THREADS - Define when building with threads, you will probably also need any
#           system defines as well, i.e. _REENTERANT for Solaris 2.[34]
# TERMIO  - Define the termio terminal subsystem, needed if sgtty is missing.
# TERMIOS - Define the termios terminal subsystem, Silicon Graphics.
# LONGCRYPT - Define to use HPUX 10.x's long password modification to crypt(3).
# DEVRANDOM - Give this the value of the 'random device' if your OS supports
#           one.  32 bytes will be read from this when the random
#           number generator is initalised.
# SSL_FORBID_ENULL - define if you want the server to be not able to use the
#           NULL encryption ciphers.
#
# LOCK_DEBUG - turns on lots of lock debug output :-)
# REF_CHECK - turn on some xyz_free() assertions.
# REF_PRINT - prints some stuff on structure free.
# CRYPTO_MDEBUG - turns on my 'memory leak' detecting stuff
# MFUNC - Make all Malloc/Free/Realloc calls call
#       CRYPTO_malloc/CRYPTO_free/CRYPTO_realloc which can be setup to
#       call application defined callbacks via CRYPTO_set_mem_functions()
# MD5_ASM needs to be defined to use the x86 assembler for MD5
# SHA1_ASM needs to be defined to use the x86 assembler for SHA1
# RMD160_ASM needs to be defined to use the x86 assembler for RIPEMD160
# Do not define B_ENDIAN or L_ENDIAN if 'unsigned long' == 8.  It must
# equal 4.
# PKCS1_CHECK - pkcs1 tests.

#TOP=$(shell pwd)
CC= gcc
#CFLAG= -DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -m486 -Wall -Wuninitialized -DSHA1_ASM -DMD5_ASM -DRMD160_ASM
CFLAG= -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN -DHAVE_DLFCN_H -DOPENSSL_NO_KRB5 -DOPENSSL_NO_IDEA -DOPENSSL_NO_MDC2 -DOPENSSL_NO_RC5 -DOPENSSL_NO_ERR -DL_ENDIAN -DTERMIO -O3 -fomit-frame-pointer -Wall
DEPFLAG= -DOPENSSL_NO_IDEA -DOPENSSL_NO_MDC2 -DOPENSSL_NO_RC5 
PEX_LIBS= 
EX_LIBS= -ldl
EXE_EXT= 
ARFLAGS= 
AR=ar $(ARFLAGS) r
RANLIB= /scratchbox/compilers/bin/ranlib
PERL= /scratchbox/tools/bin/perl
TAR= tar
TARFLAGS= --no-recursion
MAKEDEPPROG= gcc

# We let the C compiler driver to take care of .s files. This is done in
# order to be excused from maintaining a separate set of architecture
# dependent assembler flags. E.g. if you throw -mcpu=ultrasparc at SPARC
# gcc, then the driver will automatically translate it to -xarch=v8plus
# and pass it down to assembler.
AS=$(CC) -c
ASFLAG=$(CFLAG)

# Set BN_ASM to bn_asm.o if you want to use the C version
BN_ASM= bn_asm.o
#BN_ASM= bn_asm.o
#BN_ASM= asm/bn86-elf.o	# elf, linux-elf
#BN_ASM= asm/bn86-sol.o # solaris
#BN_ASM= asm/bn86-out.o # a.out, FreeBSD
#BN_ASM= asm/bn86bsdi.o # bsdi
#BN_ASM= asm/alpha.o    # DEC Alpha
#BN_ASM= asm/pa-risc2.o # HP-UX PA-RISC
#BN_ASM= asm/r3000.o    # SGI MIPS cpu
#BN_ASM= asm/sparc.o    # Sun solaris/SunOS
#BN_ASM= asm/bn-win32.o # Windows 95/NT
#BN_ASM= asm/x86w16.o   # 16 bit code for Windows 3.1/DOS
#BN_ASM= asm/x86w32.o   # 32 bit code for Windows 3.1

# For x86 assembler: Set PROCESSOR to 386 if you want to support
# the 80386.
PROCESSOR= 

# Set DES_ENC to des_enc.o if you want to use the C version
#There are 4 x86 assember options.
FIPS_DES_ENC= fips_des_enc.o
DES_ENC= des_enc.o fcrypt_b.o
#DES_ENC= des_enc.o fcrypt_b.o          # C
#DES_ENC= asm/dx86-elf.o asm/yx86-elf.o # elf
#DES_ENC= asm/dx86-sol.o asm/yx86-sol.o # solaris
#DES_ENC= asm/dx86-out.o asm/yx86-out.o # a.out, FreeBSD
#DES_ENC= asm/dx86bsdi.o asm/yx86bsdi.o # bsdi

# Set BF_ENC to bf_enc.o if you want to use the C version
#There are 4 x86 assember options.
BF_ENC= bf_enc.o
#BF_ENC= bf_enc.o
#BF_ENC= asm/bx86-elf.o # elf
#BF_ENC= asm/bx86-sol.o # solaris
#BF_ENC= asm/bx86-out.o # a.out, FreeBSD
#BF_ENC= asm/bx86bsdi.o # bsdi

# Set CAST_ENC to c_enc.o if you want to use the C version
#There are 4 x86 assember options.
CAST_ENC= c_enc.o
#CAST_ENC= c_enc.o
#CAST_ENC= asm/cx86-elf.o # elf
#CAST_ENC= asm/cx86-sol.o # solaris
#CAST_ENC= asm/cx86-out.o # a.out, FreeBSD
#CAST_ENC= asm/cx86bsdi.o # bsdi

# Set RC4_ENC to rc4_enc.o if you want to use the C version
#There are 4 x86 assember options.
RC4_ENC= rc4_enc.o
#RC4_ENC= rc4_enc.o
#RC4_ENC= asm/rx86-elf.o # elf
#RC4_ENC= asm/rx86-sol.o # solaris
#RC4_ENC= asm/rx86-out.o # a.out, FreeBSD
#RC4_ENC= asm/rx86bsdi.o # bsdi

# Set RC5_ENC to rc5_enc.o if you want to use the C version
#There are 4 x86 assember options.
RC5_ENC= rc5_enc.o
#RC5_ENC= rc5_enc.o
#RC5_ENC= asm/r586-elf.o # elf
#RC5_ENC= asm/r586-sol.o # solaris
#RC5_ENC= asm/r586-out.o # a.out, FreeBSD
#RC5_ENC= asm/r586bsdi.o # bsdi

# Also need MD5_ASM defined
MD5_ASM_OBJ= 
#MD5_ASM_OBJ= asm/mx86-elf.o        # elf
#MD5_ASM_OBJ= asm/mx86-sol.o        # solaris
#MD5_ASM_OBJ= asm/mx86-out.o        # a.out, FreeBSD
#MD5_ASM_OBJ= asm/mx86bsdi.o        # bsdi

# Also need SHA1_ASM defined
SHA1_ASM_OBJ= 
FIPS_SHA1_ASM_OBJ= 
#SHA1_ASM_OBJ= asm/sx86-elf.o       # elf
#SHA1_ASM_OBJ= asm/sx86-sol.o       # solaris
#SHA1_ASM_OBJ= asm/sx86-out.o       # a.out, FreeBSD
#SHA1_ASM_OBJ= asm/sx86bsdi.o       # bsdi

# Also need RMD160_ASM defined
RMD160_ASM_OBJ= 
#RMD160_ASM_OBJ= asm/rm86-elf.o       # elf
#RMD160_ASM_OBJ= asm/rm86-sol.o       # solaris
#RMD160_ASM_OBJ= asm/rm86-out.o       # a.out, FreeBSD
#RMD160_ASM_OBJ= asm/rm86bsdi.o       # bsdi

# KRB5 stuff
KRB5_INCLUDES=
LIBKRB5=

# When we're prepared to use shared libraries in the programs we link here
# we might set SHLIB_MARK to '$(SHARED_LIBS)'.
SHLIB_MARK=

DIRS=   crypto fips ssl $(SHLIB_MARK) sigs apps doc tools
SHLIBDIRS= fips crypto ssl

# dirs in crypto to build
SDIRS=  objects \
	md2 md4 md5 sha hmac ripemd \
	des rc2 rc4 bf cast \
	bn ec rsa dsa dh dso engine aes \
	buffer bio stack lhash rand err \
	evp asn1 pem x509 x509v3 conf txt_db pkcs7 pkcs12 comp ocsp ui krb5

FDIRS=	sha1 rand des aes dsa rsa dh

# tests to perform.  "alltests" is a special word indicating that all tests
# should be performed.
TESTS = alltests

MAKEFILE= Makefile

MANDIR=/usr/share/man
MAN1=1
MAN3=3
MANSUFFIX=ssl
SHELL=/bin/sh

TOP=    .
ONEDIRS=out tmp
EDIRS=  times doc bugs util include certs ms shlib mt demos perl sf dep VMS
WDIRS=  windows
LIBS=   libcrypto.a libssl.a
SIGS=	libcrypto.a.sha1
SHARED_CRYPTO=libcrypto$(SHLIB_EXT)
SHARED_SSL=libssl$(SHLIB_EXT)
SHARED_LIBS=
SHARED_LIBS_LINK_EXTS=.so
SHARED_LDFLAGS=

GENERAL=        Makefile
BASENAME=       openssl
NAME=           $(BASENAME)-$(VERSION)
TARFILE=        $(NAME).tar
WTARFILE=       $(NAME)-win.tar
EXHEADER=       e_os2.h
HEADER=         e_os.h

# When we're prepared to use shared libraries in the programs we link here
# we might remove 'clean-shared' from the targets to perform at this stage

all: Makefile sub_all openssl.pc

sigs:	$(SIGS)
libcrypto.a.sha1: libcrypto.a
	if egrep 'define OPENSSL_FIPS' $(TOP)/include/openssl/opensslconf.h > /dev/null; then \
		$(RANLIB) libcrypto.a; \
		fips/sha1/fips_standalone_sha1 libcrypto.a > libcrypto.a.sha1; \
	fi

sub_all:
	@for i in $(DIRS); \
	do \
	if [ -d "$$i" ]; then \
		(cd $$i && echo "making all in $$i..." && \
		$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' AS='${AS}' ASFLAG='${ASFLAG}' SDIRS='$(SDIRS)' FDIRS='$(FDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' FIPS_DES_ENC='${FIPS_DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' FIPS_SHA1_ASM_OBJ='${FIPS_SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' all ) || exit 1; \
	else \
		$(MAKE) $$i; \
	fi; \
	done;

sub_target:
	@for i in $(DIRS); \
	do \
	if [ -d "$$i" ]; then \
		(cd $$i && echo "making $(TARGET) in $$i..." && \
		$(MAKE) CC='${CC}' PLATFORM='${PLATFORM}' CFLAG='${CFLAG}' AS='${AS}' ASFLAG='${ASFLAG}' SDIRS='$(SDIRS)' FDIRS='$(FDIRS)' INSTALLTOP='${INSTALLTOP}' PEX_LIBS='${PEX_LIBS}' EX_LIBS='${EX_LIBS}' BN_ASM='${BN_ASM}' DES_ENC='${DES_ENC}' FIPS_DES_ENC='${FIPS_DES_ENC}' BF_ENC='${BF_ENC}' CAST_ENC='${CAST_ENC}' RC4_ENC='${RC4_ENC}' RC5_ENC='${RC5_ENC}' SHA1_ASM_OBJ='${SHA1_ASM_OBJ}' FIPS_SHA1_ASM_OBJ='${FIPS_SHA1_ASM_OBJ}' MD5_ASM_OBJ='${MD5_ASM_OBJ}' RMD160_ASM_OBJ='${RMD160_ASM_OBJ}' AR='${AR}' PROCESSOR='${PROCESSOR}' PERL='${PERL}' RANLIB='${RANLIB}' KRB5_INCLUDES='${KRB5_INCLUDES}' LIBKRB5='${LIBKRB5}' EXE_EXT='${EXE_EXT}' SHARED_LIBS='${SHARED_LIBS}' SHLIB_EXT='${SHLIB_EXT}' SHLIB_TARGET='${SHLIB_TARGET}' TARGET='$(TARGET)' sub_target ) || exit 1; \
	else \
		$(MAKE) $$i; \
	fi; \
	done;

libcrypto$(SHLIB_EXT): libcrypto.a
	@if [ "$(SHLIB_TARGET)" != "" ]; then \
		$(MAKE) SHLIBDIRS=crypto build-shared; \
	else \
		echo "There's no support for shared libraries on this platform" >&2; \
	fi

libssl$(SHLIB_EXT): libcrypto$(SHLIB_EXT) libssl.a
	@if [ "$(SHLIB_TARGET)" != "" ]; then \
		$(MAKE) SHLIBDIRS=ssl SHLIBDEPS='-lcrypto' build-shared; \
	else \
		echo "There's no support for shared libraries on this platform" >&2; \
	fi

clean-shared:
	@for i in $(SHLIBDIRS); do \
		if [ -n "$(SHARED_LIBS_LINK_EXTS)" ]; then \
			tmp="$(SHARED_LIBS_LINK_EXTS)"; \
			for j in $${tmp:-x}; do \
				( set -x; rm -f lib$$i$$j ); \
			done; \
		fi; \
		( set -x; rm -f lib$$i$(SHLIB_EXT) ); \
		if [ "$(PLATFORM)" = "Cygwin" ]; then \
			( set -x; rm -f cyg$$i-$(SHLIB_VERSION_NUMBER)$(SHLIB_EXT) lib$$i$(SHLIB_EXT).a ); \
		fi; \
	done

link-shared:
	@if [ -n "$(SHARED_LIBS_LINK_EXTS)" ]; then \
		tmp="$(SHARED_LIBS_LINK_EXTS)"; \
		for i in $(SHLIBDIRS); do \
			prev=lib$$i$(SHLIB_EXT); \
			for j in $${tmp:-x}; do \
				( set -x; \
				rm -f lib$$i$$j; ln -s $$prev lib$$i$$j ); \
				prev=lib$$i$$j; \
			done; \
		done; \
	fi

build-shared: clean-shared do_$(SHLIB_TARGET) link-shared

do_bsd-gcc-shared: do_gnu-shared
do_linux-shared: do_gnu-shared
do_gnu-shared:
	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
		libs="$(LIBKRB5) $$libs"; \
	fi; \
	( set -x; ${CC} ${SHARED_LDFLAGS} \
		-shared -o lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
		-Wl,-soname=lib$$i.so.${SHLIB_MAJOR}.${SHLIB_MINOR} \
		-Wl,-Bsymbolic \
		-Wl,--whole-archive lib$$i.a \
		-Wl,--no-whole-archive $$libs ${EX_LIBS} -lc ) || exit 1; \
	libs="-l$$i $$libs"; \
	done

DETECT_GNU_LD=(${CC} -Wl,-V /dev/null 2>&1 | grep '^GNU ld' )>/dev/null

# For Darwin AKA Mac OS/X (dyld)
do_darwin-shared: 
	libs='-L. ${SHLIBDEPS}'; for i in ${SHLIBDIRS}; do \
	if [ "${SHLIBDIRS}" = "ssl" -a -n "$(LIBKRB5)" ]; then \
		libs="$(LIBKRB5) $$libs"; \
	fi; \
	( set -x; ${CC} --verbose -dynamiclib -o lib$$i${SHLIB_EXT} \
		lib$$i.a $$libs -all_load -current_version ${SHLIB_MAJOR}.${SHLIB_MINOR} \

=== debian/changelog ===
openssl (0.9.7e-4.osso2+3sarge3.osso5) unstable; urgency=low

  * Produce debug package. Fixes: NB#40809 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 30 Nov 2006 19:21:04 +0200

=== debian/control ===
--- 
+++ 
@@ -58,3 +58,10 @@
  libssl and libcrypt development libraries, header files and manpages
  .
  It is part of the OpenSSL implementation of SSL.
+
+Package: libssl0.9.7-dbg
+Section: libdevel
+Priority: optional
+Architecture: any
+Depends: libssl0.9.7 (= ${Source-Version})
+Description: SSL library debug symbols

=== debian/rules ===
--- 
+++ 
@@ -18,11 +18,14 @@
 # For generating the manpages
 export VERSION=$(shell dpkg-parsechangelog | grep '^Version:' | sed -e 's/^.*://' -e 's/-.*//')
 
+# for debug symbol package
+CFLAGS += -g
+
 # Use soft-float and thumb mode if it enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -mthumb
-	export CFLAGS
 endif
+export CFLAGS
 
 # The binary architeture
 DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -164,7 +167,7 @@
 	dh_compress
 	chmod 700 debian/openssl/etc/ssl/private
 	dh_fixperms -X etc/ssl/private
-	dh_strip
+	dh_strip --dbg-package=libssl0.9.7
 	dh_perl -d
 #	dh_suidregister
 	dh_shlibdeps -l`pwd` -Xlibssl.so

=== debian/watch ===
version=2
ftp://ftp.openssl.org/source/openssl-(([\d+\.]+|\d+)[a-z]?)\.tar\.gz debian uupdate

## openssl 0.9.7e-4.osso2+3sarge3.osso6

=== debian/changelog ===
openssl (0.9.7e-4.osso2+3sarge3.osso6) unstable; urgency=low

  * 06SMIME_read_PKCS7.dpatch added. Fixes: NB#73408

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 05 Nov 2007 18:27:06 +0200

## openssl 0.9.8

=== DESCRIPTION ===
Package: openssl
Type: Package
Title: Toolkit for Encryption, Signatures and Certificates Based on
        OpenSSL
Version: 0.9.8
Authors@R: c(
    person("Jeroen", "Ooms", , "jeroen@berkeley.edu", role = c("cre", "aut")),
    person("Oliver", "Keyes", role = "ctb"))
Description: Bindings to OpenSSL libssl and libcrypto, plus custom SSH pubkey parsers.
    Supports RSA, DSA and EC curves P-256, P-384 and P-521. Cryptographic signatures
    can either be created and verified manually or via x509 certificates. AES can be
    used in cbc, ctr or gcm mode for symmetric encryption; RSA for asymmetric (public
    key) encryption or EC for Diffie Hellman. High-level envelope functions combine
    RSA and AES for encrypting arbitrary sized data. Other utilities include key
    generators, hash functions (md5, sha1, sha256, etc), base64 encoder, a secure
    random number generator, and 'bignum' math methods for manually performing
    crypto calculations on large multibyte integers.
License: MIT + file LICENSE
URL: https://github.com/jeroen/openssl#readme
BugReports: https://github.com/jeroen/openssl/issues
SystemRequirements: OpenSSL >= 1.0.1
VignetteBuilder: knitr
Suggests: testthat, digest, knitr, rmarkdown, jsonlite, jose
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-11-03 14:21:03 UTC; jeroen
Author: Jeroen Ooms [cre, aut],
  Oliver Keyes [ctb]
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-11-03 16:54:18 UTC

## openssl 0.9.8c

=== crypto/err/Makefile ===
#
# OpenSSL/crypto/err/Makefile
#

DIR=	err
TOP=	../..
CC=	cc
INCLUDES= -I.. -I$(TOP) -I../../include
CFLAG=-g
MAKEFILE=	Makefile
AR=		ar r

CFLAGS= $(INCLUDES) $(CFLAG)

GENERAL=Makefile
TEST=
APPS=

LIB=$(TOP)/libcrypto.a
LIBSRC=err.c err_all.c err_prn.c
LIBOBJ=err.o err_all.o err_prn.o

SRC= $(LIBSRC)

EXHEADER= err.h
HEADER=	$(EXHEADER)

ALL=    $(GENERAL) $(SRC) $(HEADER)

top:
	(cd ../..; $(MAKE) DIRS=crypto SDIRS=$(DIR) sub_all)

all:	lib

lib:	$(LIBOBJ)
	$(AR) $(LIB) $(LIBOBJ)
	$(RANLIB) $(LIB) || echo Never mind.
	@touch lib

files:
	$(PERL) $(TOP)/util/files.pl Makefile >> $(TOP)/MINFO

links:
	@$(PERL) $(TOP)/util/mklink.pl ../../include/openssl $(EXHEADER)
	@$(PERL) $(TOP)/util/mklink.pl ../../test $(TEST)
	@$(PERL) $(TOP)/util/mklink.pl ../../apps $(APPS)

install:
	@[ -n "$(INSTALLTOP)" ] # should be set by top Makefile...
	@headerlist="$(EXHEADER)"; for i in $$headerlist ; \
	do  \
	(cp $$i $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i; \
	chmod 644 $(INSTALL_PREFIX)$(INSTALLTOP)/include/openssl/$$i ); \
	done;

tags:
	ctags $(SRC)

tests:

lint:
	lint -DLINT $(INCLUDES) $(SRC)>fluff

depend:
	@[ -n "$(MAKEDEPEND)" ] # should be set by upper Makefile...
	$(MAKEDEPEND) -- $(CFLAG) $(INCLUDES) $(DEPFLAG) -- $(PROGS) $(LIBSRC)

dclean:
	$(PERL) -pe 'if (/^# DO NOT DELETE THIS LINE/) {print; exit(0);}' $(MAKEFILE) >Makefile.new
	mv -f Makefile.new $(MAKEFILE)

clean:
	rm -f *.o *.obj lib tags core .pure .nfs* *.old *.bak fluff

# DO NOT DELETE THIS LINE -- make depend depends on it.

err.o: ../../e_os.h ../../include/openssl/bio.h ../../include/openssl/buffer.h
err.o: ../../include/openssl/crypto.h ../../include/openssl/e_os2.h
err.o: ../../include/openssl/err.h ../../include/openssl/lhash.h
err.o: ../../include/openssl/opensslconf.h ../../include/openssl/opensslv.h
err.o: ../../include/openssl/ossl_typ.h ../../include/openssl/safestack.h
err.o: ../../include/openssl/stack.h ../../include/openssl/symhacks.h
err.o: ../cryptlib.h err.c
err_all.o: ../../include/openssl/asn1.h ../../include/openssl/bio.h
err_all.o: ../../include/openssl/bn.h ../../include/openssl/buffer.h
err_all.o: ../../include/openssl/conf.h ../../include/openssl/crypto.h
err_all.o: ../../include/openssl/dh.h ../../include/openssl/dsa.h
err_all.o: ../../include/openssl/dso.h ../../include/openssl/e_os2.h
err_all.o: ../../include/openssl/ec.h ../../include/openssl/ecdh.h
err_all.o: ../../include/openssl/ecdsa.h ../../include/openssl/engine.h
err_all.o: ../../include/openssl/err.h ../../include/openssl/evp.h
err_all.o: ../../include/openssl/lhash.h ../../include/openssl/obj_mac.h
err_all.o: ../../include/openssl/objects.h ../../include/openssl/ocsp.h
err_all.o: ../../include/openssl/opensslconf.h ../../include/openssl/opensslv.h
err_all.o: ../../include/openssl/ossl_typ.h ../../include/openssl/pem2.h
err_all.o: ../../include/openssl/pkcs12.h ../../include/openssl/pkcs7.h
err_all.o: ../../include/openssl/rand.h ../../include/openssl/rsa.h
err_all.o: ../../include/openssl/safestack.h ../../include/openssl/sha.h
err_all.o: ../../include/openssl/stack.h ../../include/openssl/symhacks.h
err_all.o: ../../include/openssl/ui.h ../../include/openssl/x509.h
err_all.o: ../../include/openssl/x509_vfy.h ../../include/openssl/x509v3.h
err_all.o: err_all.c
err_prn.o: ../../e_os.h ../../include/openssl/bio.h
err_prn.o: ../../include/openssl/buffer.h ../../include/openssl/crypto.h
err_prn.o: ../../include/openssl/e_os2.h ../../include/openssl/err.h
err_prn.o: ../../include/openssl/lhash.h ../../include/openssl/opensslconf.h
err_prn.o: ../../include/openssl/opensslv.h ../../include/openssl/ossl_typ.h
err_prn.o: ../../include/openssl/safestack.h ../../include/openssl/stack.h
err_prn.o: ../../include/openssl/symhacks.h ../cryptlib.h err_prn.c
